Package org.apache.avro.io

# Enum FastReaderBuilder.RecordReader.Stage

java.lang.Object
java.lang.Enum<FastReaderBuilder.RecordReader.Stage>
org.apache.avro.io.FastReaderBuilder.RecordReader.Stage

All Implemented Interfaces:
  `Serializable`, `Comparable<FastReaderBuilder.RecordReader.Stage>`

Enclosing class:
  `FastReaderBuilder.RecordReader`

public static enum FastReaderBuilder.RecordReader.Stage extends Enum<FastReaderBuilder.RecordReader.Stage>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INITIALIZED`
`INITIALIZING`
`NEW`

## Method Summary

Modifier and Type
Method
Description
`static FastReaderBuilder.RecordReader.Stage`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static FastReaderBuilder.RecordReader.Stage[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NEW

public static final FastReaderBuilder.RecordReader.Stage NEW

### INITIALIZING

public static final FastReaderBuilder.RecordReader.Stage INITIALIZING

### INITIALIZED

public static final FastReaderBuilder.RecordReader.Stage INITIALIZED

## Method Details

### values

public static FastReaderBuilder.RecordReader.Stage[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static FastReaderBuilder.RecordReader.Stage valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null